SQL-инъекция в WordPress SH Slideshow

Дата публикации:
30.08.2011
Дата изменения:
09.11.2011
Всего просмотров:
709
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
(AV:N/AC:L/Au:N/C:P/I:P/A:N/E:U/RL:O/RC:C) = Base:6.4/Temporal:4.7
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
WordPress SH Slideshow Plugin 3.x
Уязвимые версии: SH Slideshow plugin for WordPress 3.1.4, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольные SQL команды в базе данных приложения.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "id" в сценарии wp-content/plugins/sh-slideshow/ajax.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

URL производителя: http://wordpress.org/extend/plugins/sh-slideshow/

Решение: Установите последнюю версию 3.1.5 с сайта производителя.

Ссылки: http://wordpress.org/extend/plugins/sh-slideshow/changelog/
http://plugins.trac.wordpress.org/changeset/431004/sh-slideshow/trunk/ajax.php?old=372839&old_path=sh-slideshow%2Ftrunk%2Fajax.php
http://unconciousmind.blogspot.com/2011/08/wordpress-sh-slideshow-plugin-314-sql.html

или введите имя

CAPTCHA